This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1289729 - katello-remove skips second user input and cancels itself
katello-remove skips second user input and cancels itself
Status: CLOSED WORKSFORME
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Other (Show other bugs)
Nightly
Unspecified Unspecified
unspecified Severity high (vote)
: GA
: --
Assigned To: Chris Roberts
jcallaha
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-12-08 15:24 EST by jcallaha
Modified: 2016-05-07 16:12 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-05-07 16:12:35 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description jcallaha 2015-12-08 15:24:14 EST
Description of problem:
When running katello-remove, the user is presented with the initial prompt, but does not get a chance to type "remove". The script cancels itself and does not perform a remove. As a result, a user can never use it to remove katello.

Version-Release number of selected component (if applicable):
Nightly 1.11.0-develop

How reproducible:
Always

Steps to Reproduce:
1. Run katello-remove
2. Enter "y" to continue

Actual results:
You are not given the option to proceed, by typing "remove". Instead the script cancels itself and exits.

Expected results:
You are given the option to remove katello and the script runs.

Additional info:
# katello-remove

WARNING: This script will erase many packages and config files.
Important packages such as the following will be removed:

  * httpd (apache)
  * mongodb
  * tomcat6
  * puppet
  * ruby
  * rubygems
  * All Katello and Foreman Packages

Once these packages and configuration files are removed there is no going back.
If you use this system for anything other than Katello and Foreman you probably
do not want to execute this script.

Read the source for a list of what is removed.  Are you sure(Y/N)? y

ARE YOU SURE?: This script permanently deletes data and configuration.
Read the source for a list of what is removed.  Type [remove] to continue? 

** cancelled **
Comment 3 Chris Roberts 2016-05-07 16:12:35 EDT
I have tested this on RHEL 6 and 7 and can not get it to reproduce it lets me type Y/N and then remove and has not errored out yet. Tested both with 6.2 beta and upstream nightly build.

[root@dhcp-10-12-211-50 ~]# katello-remove 

WARNING: This script will erase many packages and config files.
Important packages such as the following will be removed:

  * httpd (apache)
  * mongodb
  * tomcat
  * puppet
  * ruby
  * rubygems
  * All Katello and Foreman Packages

Once these packages and configuration files are removed there is no going back.
If you use this system for anything other than Katello and Foreman you probably
do not want to execute this script.

Read the source for a list of what is removed.  Are you sure(Y/N)? y

ARE YOU SURE?: This script permanently deletes data and configuration.
Read the source for a list of what is removed.  Type [remove] to continue? remove

Closing this as worksforme

Note You need to log in before you can comment on or make changes to this bug.